package kptest;

import javafx.stage.StageStyle;


public class Test {
    
    public static void main(String[] args) {
        Test.setGlobalOptions();
        // rt.RT_18485_Invalid_ImageView_Scale.main(args);
        TestApp.main(args);
    }

    public static IFxScene selectTest() {
        return new RTTest();
   }
    
    static public int statsFrequency = 1000;
    
    private static final String[][] GLOBAL_SETTINGS = {
        { "prism.verbose", "true" },
        { "javafx.animation.fullspeed", "true" },
        { "javafx.vsync", "false" },
        
        { "prism.printallocs", "true" },
    
        { "prism.order", "es2" },
    //    { "prism.order", "j2d" },
        { "prism.dirtyopts", "false" },
        { "prism.printStats", Integer.toString(statsFrequency) },
    //   { "prism.useOldPNG", "true" },
    };

    public static void setGlobalOptions() {
        for (String [] sw : Test.GLOBAL_SETTINGS)
            System.setProperty( sw[0], sw[1] );
    }
    
    public static StageStyle selectStageStyle() {
        switch (0) {
            case 1: return StageStyle.UNDECORATED;
            case 2: return StageStyle.TRANSPARENT;
            default: return StageStyle.DECORATED;
        }
    }

}
